Subject: RE: XKMS, Was RE: Software for PKI

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 21 Nov 2001 12:03:50 -0800

Sorry,

	That would be the 9th of December, not the 8th.

		Phill

Phillip Hallam-Baker FBCS C.Eng.
Principal Scientist
VeriSign Inc.
[email-masked]
781 245 6996 x227

> -----Original Message-----
> From: Hallam-Baker, Phillip [mailto:[email-masked]]
> Sent: Wednesday, November 21, 2001 2:32 PM
> To: [email-masked]
> Subject: XKMS, Was RE: Software for PKI
> 
> 
> > Now I don't think that the folks working on XML-DSIG and XKMS are
> > really doing it better. There's also the tendency to be most
> > flexible by integrating as many PKI standards as possible. Same old
> > problems...
> 
> I think you are misunderstanding what we are doing. XKMS is an 
> interface to a PKI. It is not by itself a PKI.
> 
> Although it is quite possible to use XKMS in a network of peer-peer
> real time responders without the support of a backing PKI the more
> usual configuration would be as an interface to a PKI. In most cases
> that PKI would be PKIX based.
> 
> The observations that the design of XKMS is based upon are:
> 
> 1) Despite every effort, most developers hate, loathe and detest ASN.1
> 2) Client developers complain that PKIX is too complex to implement.
> 3) We continue to add to the PKIX specification.
> 4) Implementation suggests that inter-organizational trust 
> justifies the
> 	complexity of PKIX.
> 5) XML based applications have a different risk profile to the email
> 	messaging applications that X.509 was originally intended to
> 	support.
> 
> The point is that we have come a long way in 10 years and there are
> occasions when the thing to do is to attack a problem from a different
> angle for a while. I find it very unhelpful for people to start
> throwing arround the 'do you think you know better' question. 
> Clearly the people who put that question think they know better
> or they would not have asked it.
> 
> Anyway, the proposal to form an XKMS working group is currently 
> before the W3C AC reps. The first face to face is planned for 8th 
> December in Salt Lake city. It is an open meeting.
> 
> 	Phill
> 
>